#
# spec file for package opi
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           opi
Version:        0.8.2
Release:        lp152.1.1
Summary:        OBS Package Installer (CLI)
License:        GPL-3.0-only
Group:          System/Packages
URL:            https://github.com/openSUSE-zh/%{name}
Source0:        https://github.com/openSUSE-zh/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildArch:      noarch
Requires:       perl
Requires:       perl(Config::Tiny)
Requires:       perl(LWP)
Requires:       perl(LWP::Protocol::https)
Requires:       perl(URI)
Requires:       perl(XML::LibXML)

%description
OBS Package Installer (CLI)

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}%{_bindir}
install %{name} %{buildroot}%{_bindir}

%files
%license LICENSE
%doc README.md screenshot.png
%{_bindir}/%{name}

%changelog
* Sat May 16 2020 Yunhe Guo <i@guoyunhe.me>
- Version 0.8.2
  * Fixed
  - Ghost process on XML parsing failure
* Fri Apr  3 2020 Yunhe Guo <i@guoyunhe.me>
- Version 0.8.1
  * Fixed
  - OBS limit error when searching php, test, etc.
* Sat Feb 29 2020 Yunhe Guo <i@guoyunhe.me>
- Version 0.8.0
  * Changed
  - Type number 0 to exit
* Fri Nov  8 2019 Yunhe Guo <i@guoyunhe.me>
- Version 0.7.1
  * Fixed
  - Missing use File::Temp;
* Thu Aug 29 2019 Yunhe Guo <i@guoyunhe.me>
- Version 0.7.0
  * Changed
  - Force repo URL to HTTPS
  * Fixed
  - Ctrl + C handling of spinner
* Sun Aug 18 2019 Yunhe Guo <i@guoyunhe.me>
- Version 0.6.0
  * Added
  - Search spinner
  * Fixed
  - Packman repo doesn't have *.repo file
  - Long version numbers are cutted
* Sun Aug 18 2019 Yunhe Guo <i@guoyunhe.me>
- Added perl(LWP::Protocol::https) dependency and change to more
  compatible dependency format
* Tue Jun 11 2019 Yunhe Guo <i@guoyunhe.me>
- Version 0.5.2
  * Fixed
  - Trim "NAME" and "VERSION" string
* Mon Jun  3 2019 Yunhe Guo <i@guoyunhe.me>
- Version 0.5.1
  * Fixed
  - Fix dependency not found issue
* Wed May 22 2019 Yunhe Guo <i@guoyunhe.me>
- Version 0.5.0
  * Added
  - API proxy server to prevent hard-coded passwords in the script
* Tue May 21 2019 Yunhe Guo <i@guoyunhe.me>
- Version 0.4.0
  * Added
  - PMBS (Packman Build Service) support
* Thu May  9 2019 Yunhe Guo <i@guoyunhe.me>
- Version 0.3.1
  * Fixed
  - `opi opi` cannot find `opi`
* Thu May  9 2019 Yunhe Guo <i@guoyunhe.me>
- Version 0.3.1
  * Fixed
  - Remove quotes from version number. So Leap and SLE can search packages.
* Wed May  8 2019 Yunhe Guo <i@guoyunhe.me>
- Version 0.3.0
  * Added
  - Support SLE
  * Changed
  - Better print column alignment
* Fri May  3 2019 Yunhe Guo <i@guoyunhe.me>
- Version 0.2.0
  * Added
  - Install Packman Codecs with `opi packman` or `opi codecs`
  - Install Skype with `opi skype`
  - Install VS Code with `opi vs code`
* Mon Apr 29 2019 Yunhe Guo <i@guoyunhe.me>
- Version 0.1.2
  * Fixed
  - Fixed lost of "noarch" packages
  - Be able to search with dashes in keywords
* Mon Apr 29 2019 Yunhe Guo <i@guoyunhe.me>
- Version 0.1.1
  * Fixed
  - Removed XML dump which may cause problems.
* Sun Apr 28 2019 Yunhe Guo <i@guoyunhe.me>
- Version 0.1.0
  * Added
  - Search packages from OBS
  - List properly sorted search result
  - Use different colors for official, experimental and personal projects
  - Choose package and install
  - Keep or remove repository after installation
